Subject: [Shop-talk] Synth and conventional oil question (Time sensitive question) and *free beer (or coffee)

From: eric--- via Shop-talk <[email-masked]>
Date: Fri, 30 Aug 2019 20:17:44 -0400 9.0.1FP7|August 17, 2016) at 08/30/2019 08:17:44 PM, Serialize complete at 08/30/2019 08:17:44 PM, Serialize by Router on Deep13/Megageek(Release 9.0.1FP7|August 17, 2016) at 08/30/2019 08:17:45 PM

My 2015 Explorer and me are in Phoenix, AZ* for a another month. I wanted to get an oil change prior to returning to NJ.

Here is the problem. Ford states that it uses a 'synthetic blend' oil. I don't know what the dealer used last, as all my records are still in NJ and it was under a free dealership oil change when I did the last one. (Normally I do my own.)

The place I can get the oil changed at does either full synthetic or full conventional oil.

Since I'll be putting another 500 miles on the truck out here, before I trek another 3000 miles across the country, what oil should I use? I don't know if it even makes a difference. But there is extreme heat out here (but it's cooling off now.)

I'm having the shop do this Sunday so I need to make a decision soon.

*BTW, any Phoenix shop-talkers want to get together for a beer/coffee this weekend? I'm buying!

Thanks.

Sent from my Commodore 64 on a 2400 Baud Modem.
Tech Viper
"Be as beneficent as the sun or the sea, but if your rights as a rational being are trenched on, die on the first inch of your territory." Ralph Waldo Emerson 
-Who is John Galt?
_______________________________________________

[email-masked]
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive